F-Secure 2014 IS must be tested with Windows 8.1 Preview!!!

Highlighted
Senior Advisor

F-Secure 2014 IS must be tested with Windows 8.1 Preview!!!

Hi

 

I am suggesting to hold off the F-Secure 2014 release because I recommend F-Secure to test with Windows 8.1 Preview!

 

This is critical. 

 

Because the release RTM of Windows 8.1 is just around the corner.

 

If not F-Secure is bound to have issues later on.

 

I am suggesting to F-Secure to drop support for Windows own integrated firewall.

 

Because most of the F-Secure users did not like using Windows Integrated firewall.

 

I still think that Windows Integrated Firewall is very vulnerable!

 

1 ACCEPTED SOLUTION

Accepted Solutions
Former F-Secure Employee

Re: F-Secure 2014 IS must be tested with Windows 8.1 Preview!!!

Hello Rusli,

We are testing with Windows 8.1 Preview versions and when Internet Security 2014 comes out it will support Windows 8.1 version also.

2 REPLIES 2
Former F-Secure Employee

Re: F-Secure 2014 IS must be tested with Windows 8.1 Preview!!!

Hello Rusli,

We are testing with Windows 8.1 Preview versions and when Internet Security 2014 comes out it will support Windows 8.1 version also.

Superuser

Re: F-Secure 2014 IS must be tested with Windows 8.1 Preview!!!

Hello,

 

The F-Secure website still does not include any explicit statement about Windows 8.1 compatibility, see here:

 

http://www.f-secure.com/en/web/home_global/internet-security#requirements

 

Yet, consumers and companies are already buying new computers that come with Win8.1 pre-installed.

 

Sincerely: Tamas Feher, 2F 2000, Hungary.